Subject: [MBONED] Opsdir last call review of draft-ietf-mboned-driad-amt-discovery-09

From: Niclas Comstedt via Datatracker <[email-masked]>
Date: Fri, 29 Nov 2019 17:27:27 -0800

Reviewer: Niclas Comstedt
Review result: Ready

I have reviewed this document as part of the Operational directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

This draft extends AMT (RFC 7450), specifically by extending the relay discovery
process to use a new DNS AMTRELAY RR mechanism, and as such is targeting the 
standards track. It's a well written draft and ready to go. It covers relevant 
operational aspects throughout the draft in appropriate sections.

The one nit about the usage of IPv4 mcast address (currently 232.252.0.2) I
don't see as an issue. Given this draft and mechanism is SSM specific I think 
using a valid SSM address instead of 233.252.0.0/24 is fine.

/nco